%define	pkgname	glibmm
%define	api	2.4
%define major	1
%define	libname	%mklibname %{pkgname} %{api} %{major}
%define	devname	%mklibname -d %{pkgname} %{api}

Name:		%{pkgname}%{api}
Summary:	C++ interface for glib
Version:	2.40.0
Release:	1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/

Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/2.40/%{pkgname}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	mm-common >= 0.9.4
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(glib-2.0) >= 2.30
BuildRequires:	pkgconfig(sigc++-2.0) >= 2.2.10

%description
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.


%package -n	%{libname}
Summary:	C++ interface for glib
Group:		System/Libraries

%description -n	%{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains the library needed to run programs dynamically
linked with %{pkgname}.


%package -n	%{devname}
Summary:	Headers and development files of %{pkgname}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Provides:	%{pkgname}%{api}-devel = %{version}-%{release}
Requires:	mm-common >= 0.9.4
Obsoletes:	%mklibname -d %{pkgname} %{api} 1

%description -n	%{devname}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{pkgname}.


%package	doc
Summary:	Glibmm documentation
Group:		Books/Other

%description	doc
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains all API documentation for %{pkgname}.

%prep
%setup -qn %{pkgname}-%{version}

%build
%configure2_5x \
	--enable-shared \
	--disable-static

%make

# make check does nothing

%install
%makeinstall_std

%files -n %{libname}
%doc COPYING NEWS README
%{_libdir}/libglibmm*%{api}.so.%{major}*
%{_libdir}/libgiomm*%{api}.so.%{major}*

%files -n %{devname}
%doc AUTHORS ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/giomm-%{api}/
%{_libdir}/glibmm-%{api}/
%{_libdir}/pkgconfig/*.pc

%files doc
%doc %{_datadir}/doc/glibmm-%{api}
%{_datadir}/devhelp/books/glibmm-2.4/

%changelog
* Wed Jul 02 2014 Tigro <ashejn@gmail.com> 2.40.0-1
+ Revision: 8969acc
- update to 2.40.0


